Upvote Upvoted 24 Downvote Downvoted
New Anti-Cheat released: Little Anti-Cheat 0.7.1
posted in Projects
1
#1
0 Frags +

A couple of days ago, I released an Anti-Cheat I had been working on since 2018, called Little Anti-Cheat.
It was originally a secret Anti-Cheat for some secret servers I used to have.
However, since I no longer own any servers and my friends wanted me to release it, I decided to do so.
It's by no means perfect (nothing is), but I'll continue to improve it, add detection methods, fix bugs etc.

It's completely opensource and free.
I originally posted this on Reddit, but some people there wanted me to post it here as well.

You can find it here: https://forums.alliedmods.net/showthread.php?t=321480
Or in case the link doesn't work, just go to sourcemod dot net and search for the plugin there.

A couple of days ago, I released an Anti-Cheat I had been working on since 2018, called Little Anti-Cheat.
It was originally a secret Anti-Cheat for some secret servers I used to have.
However, since I no longer own any servers and my friends wanted me to release it, I decided to do so.
It's by no means perfect (nothing is), but I'll continue to improve it, add detection methods, fix bugs etc.

It's completely opensource and free.
I originally posted this on Reddit, but some people there wanted me to post it here as well.

You can find it here: https://forums.alliedmods.net/showthread.php?t=321480
Or in case the link doesn't work, just go to sourcemod dot net and search for the plugin there.
2
#2
8 Frags +

wouldnt being open source make it easier for cheaters to figure out how to avoid detection?

wouldnt being open source make it easier for cheaters to figure out how to avoid detection?
3
#3
18 Frags +
sagewouldnt being open source make it easier for cheaters to figure out how to avoid detection?

Yes, but that's kinda unavoidable when you work with sourcemod.

All plugins are required to use the GPLv3 License, meaning I can't distribute the plugin itself without the sourcecode... However, even if I could, that would still mean cheat devs could just debug it or go by trial and error.

Either way, I wanted this Anti-Cheat to be opensource so people could learn from it, improve and understand what it does.
Opensource anti-cheats have some flaws, but it's also transparent... Which helps server owners trust it and be able to adopt it.

Little Anti-Cheat isn't anything super special, but it should be helpful.

[quote=sage]wouldnt being open source make it easier for cheaters to figure out how to avoid detection?[/quote]
Yes, but that's kinda unavoidable when you work with sourcemod.

All plugins are required to use the GPLv3 License, meaning I can't distribute the plugin itself without the sourcecode... However, even if I could, that would still mean cheat devs could just debug it or go by trial and error.

Either way, I wanted this Anti-Cheat to be opensource so people could learn from it, improve and understand what it does.
Opensource anti-cheats have some flaws, but it's also transparent... Which helps server owners trust it and be able to adopt it.

Little Anti-Cheat isn't anything super special, but it should be helpful.
4
#4
26 Frags +

So this is why Ace dropped twice to a spy tonight...

So this is why Ace dropped twice to a spy tonight...
5
#5
4 Frags +
sagewouldnt being open source make it easier for cheaters to figure out how to avoid detection?

Security through obfuscation should not be relied upon, although it can be an okay first defense, it cannot be the only nor the strongest defense to circumvention.

[quote=sage]wouldnt being open source make it easier for cheaters to figure out how to avoid detection?[/quote]
Security through obfuscation should not be relied upon, although it can be an okay first defense, it cannot be the only nor the strongest defense to circumvention.
6
#6
-1 Frags +
mastercomssagewouldnt being open source make it easier for cheaters to figure out how to avoid detection?Security through obfuscation should not be relied upon, although it can be an okay first defense, it cannot be the only nor the strongest defense to circumvention.

just host some code externally on a private server 4head

[quote=mastercoms][quote=sage]wouldnt being open source make it easier for cheaters to figure out how to avoid detection?[/quote]
Security through obfuscation should not be relied upon, although it can be an okay first defense, it cannot be the only nor the strongest defense to circumvention.[/quote]
just host some code externally on a private server 4head
7
#7
0 Frags +

Hey! When I try and run it, I get the following error: [SM] Plugin lilac.smx failed to load: Unable to load plugin (no debug string table).

Hey! When I try and run it, I get the following error: [SM] Plugin lilac.smx failed to load: Unable to load plugin (no debug string table).
8
#8
0 Frags +
cookieHey! When I try and run it, I get the following error: [SM] Plugin lilac.smx failed to load: Unable to load plugin (no debug string table).

Afaik, that means you are running an outdated version of SM.
Update SourceMod to version 1.10 or higher (Not sure if you have to update MM:S as well, but might as well).

[quote=cookie]Hey! When I try and run it, I get the following error: [SM] Plugin lilac.smx failed to load: Unable to load plugin (no debug string table).[/quote]
Afaik, that means you are running an outdated version of SM.
Update SourceMod to version 1.10 or higher (Not sure if you have to update MM:S as well, but might as well).
9
#9
0 Frags +
J_TanzanitecookieHey! When I try and run it, I get the following error: [SM] Plugin lilac.smx failed to load: Unable to load plugin (no debug string table).Afaik, that means you are running an outdated version of SM.
Update SourceMod to version 1.10 or higher (Not sure if you have to update MM:S as well, but might as well).

Ahh gotcha! Looks like I have 1.8, thanks man!

[quote=J_Tanzanite][quote=cookie]Hey! When I try and run it, I get the following error: [SM] Plugin lilac.smx failed to load: Unable to load plugin (no debug string table).[/quote]
Afaik, that means you are running an outdated version of SM.
Update SourceMod to version 1.10 or higher (Not sure if you have to update MM:S as well, but might as well).[/quote]
Ahh gotcha! Looks like I have 1.8, thanks man!
Please sign in through STEAM to post a comment.